# IpeLayout Struct Reference

Layout of an IpePage. More...

List of all members.

## Public Member Functions

- IpeLayout ()
- bool isNull () const
- IpeRect paper () const

## Public Attributes

- IpeVector iPaperSize
- IpeVector iOrigin
- IpeVector iFrameSize
- double iParagraphSkip

## Detailed Description

Layout of an IpePage.

## Constructor & Destructor Documentation

IpeLayout::IpeLayout | ( |  | ) | `[inline]`

Create null layout.

## Member Function Documentation

bool IpeLayout::isNull | ( |  | ) | const`[inline]`

Is this an undefined (null) layout?

IpeRect IpeLayout::paper | ( |  | ) | const`[inline]`

Return rectangle describing the paper.

## Member Data Documentation

IpeVector IpeLayout::iPaperSize

Dimensions of the media.

IpeVector IpeLayout::iOrigin

Origin of the Ipe coordinate system relative to the paper.

IpeVector IpeLayout::iFrameSize

Size of the frame (the drawing area).

double IpeLayout::iParagraphSkip

Paragraph skip (between textboxes).

The documentation for this struct was generated from the following file:

- ipecolor.h